﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using SampleBindingXamDataGrid.Common;

namespace SampleBindingXamDataGrid.View
{
    /// <summary>
    /// Interaction logic for CustomerView.xaml
    /// </summary>
    public partial class CustomerView : Window
    {
        public CustomerView()
        {
            InitializeComponent();


        }
    }

    public class CustomXamDataGrid : XamDataGrid
    {
        public CustomXamDataGrid() : base() { }
        public object SelectedItem
        {
            get
            {
                return this.GetValue(SelectedItemProperty);
            }
            set
            {
                this.SetValue(SelectedItemProperty, value);
            }
        }
        public static readonly DependencyProperty SelectedItemProperty = DependencyProperty.Register(
          "SelectedItem", typeof(object), typeof(CustomXamDataGrid), new PropertyMetadata(null));

        protected override void OnSelectedItemsChanged(Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs args)
        {
            var selItem = (args.Source as XamDataGrid).Records.Where(r => r.IsSelected).FirstOrDefault();
            int selectedItemIndex;
            if (selItem != null)
            {
                selectedItemIndex = (args.Source as XamDataGrid).Records.Where(r => r.IsSelected).FirstOrDefault().Index;
                this.SelectedItem = (args.Source as XamDataGrid).RecordManager.SourceItems.Cast<Customer>().ElementAt(selectedItemIndex);
            }
            else
                this.SelectedItem = null;


            base.OnSelectedItemsChanged(args);
        }

        protected override void OnSelectedItemsChanging(Infragistics.Windows.DataPresenter.Events.SelectedItemsChangingEventArgs args)
        {

            base.OnSelectedItemsChanging(args);
        }
    }
}
