﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SampleBindingXamDataGrid.Common;
using System.Collections.ObjectModel;
using System.Windows;
using System.ComponentModel;

namespace SampleBindingXamDataGrid.ViewModel
{
    public class CustomerViewModel : ViewModelBase, INotifyPropertyChanged
    {
        public CustomerViewModel()
        {
            _customerCollection.Add(new Customer { Name = "Arun", Number = 404, Place = "Vizag" });
            _customerCollection.Add(new Customer { Name = "Saravanan", Number = 176, Place = "Chennai" });
            _customerCollection.Add(new Customer { Name = "Anu", Number = 322, Place = "Madhurai" });
            _customerCollection.Add(new Customer { Name = "Rajan", Number = 201, Place = "Coimbatore" });
            _customerCollection.Add(new Customer { Name = "Shiva", Number = 207, Place = "Anantapur" });
        }

        private ObservableCollection<Customer> _customerCollection = new ObservableCollection<Customer>();
        private Customer _selectedCustomer = new Customer();
        private Customer _lastSelectedCustomer = new Customer();

        public Customer SelectedCustomer
        {
            get { return _selectedCustomer; }
            set
            {
                if (_selectedCustomer != value)
                {
                    _selectedCustomer = value;

                    if (value == null)
                        MessageBox.Show("Deselected row: " + _lastSelectedCustomer.Number);
                    else
                    {
                        _lastSelectedCustomer = _selectedCustomer;
                        MessageBox.Show("Selected row: " + _selectedCustomer.Number);
                    }

                    RaisePropertyChangedEvent("SelectedCustomer");
                }
            }
        }

        public ObservableCollection<Customer> CustomerCollection
        {
            get { return _customerCollection; }
            set
            {
                _customerCollection = value;
                RaisePropertyChangedEvent("CustomerCollection");
            }
        }


    }
}
